Summary: A text mode mail user agent.
Name: mutt
%define uversion 0.9
Version: 1.4.2.2i
%define tarball_ver 1.4.2.2
Release: 1.norlug
Epoch: 7
License: GPL
Group: Applications/Internet
Source: ftp://ftp.mutt.org/pub/mutt/mutt-%{version}.tar.gz
Source2: ftp://ftp.mutt.org/pub/mutt/contrib/urlview-%{uversion}.tar.gz
Source1: mutt_ldap_query
Source3: mutt-colors
Patch0: mutt-1.4-nosetgid.patch
Patch1: mutt-default.patch
Patch2: mutt-1.2.5-muttbug-tmp.patch
Patch3: mutt-1.2.5.1-autosplat.patch
Patch4: mutt-1.4.1-muttrc.patch
Patch10: urlview-0.9-default.patch
Patch11: urlview.diff
Patch12: user-agent.diff
# Allow non root users to build the cfp patched version of mutt
Patch13:  mutt-cfp.sgid.patch.bz2
Patch14:  mutt-1.3.15-tmpdef.patch.bz2
Url: http://www.mutt.org/
Requires: slang >= 0.99.38, smtpdaemon, webclient, mailcap, gettext
Obsoletes: urlview
Provides: urlview
Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root
Conflicts: mutt-us
Provides: mutt-i
%{!?nossl:BuildPrereq: openssl-devel}
%{!?nokerberos:BuildPrereq: krb5-devel}
BuildPrereq: /usr/sbin/sendmail slang-devel /usr/bin/autoconf-2.13 /usr/bin/automake-1.4

%description
Mutt is a text-mode mail user agent. Mutt supports color, threading,
arbitrary key remapping, and a lot of customization.

You should install mutt if you have used it in the past and you prefer
it, or if you are new to mail programs and have not decided which one
you are going to use.

%prep
%setup -n mutt-%{tarball_ver} -q -a 2
# Thou shalt use fcntl, and only fcntl
#%patch0 -p1 -b .nosetgid
# Something to make default colors work right.
# fixme: make sure this is still needed
%patch1 -p1 -b .default
# use mktemp -d in muttbug
%patch2 -p1 -b .tmp
# versioned automake/autoconf
%patch3 -p1 -b .autosplat
# make it recognize https urls too
%patch4 -p1 -b .https
%patch10 -p0 -b .default
%patch11 -p0 -b .build
# custom norlug vanity patch ("User-Agent")
%patch12 -p0
# non-root build patch
%patch13 -p1
%patch14 -p1

install -m644 %{SOURCE1} mutt_ldap_query

%build
export -n LINGUAS
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{_prefix} \
	--with-sharedir=/etc --sysconfdir=/etc \
	--with-docdir=%{_docdir}/mutt-%{version} \
	--with-mandir=%{_mandir} \
	--with-infodir=%{_infodir} \
	--enable-pop --enable-imap \
	--with-sasl \
%{!?nossl:--with-ssl} \
%{!?nokerberos:--with-gss=/usr/kerberos} \
	--disable-warnings --with-slang --disable-domain \
	--disable-flock --enable-fcntl
make

cd urlview-%{uversion}
%configure --with-slang
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall sharedir=$RPM_BUILD_ROOT/etc \
  sysconfdir=$RPM_BUILD_ROOT/etc \
  docdir=$RPM_BUILD_ROOT%{_docdir}/mutt-%{version} \
  install
mkdir -p $RPM_BUILD_ROOT/etc/X11/applnk/Internet

# we like GPG here
cat contrib/gpg.rc >> \
	$RPM_BUILD_ROOT/etc/Muttrc
grep -5 "^color" contrib/sample.muttrc >> \
	$RPM_BUILD_ROOT/etc/Muttrc
# and we use aspell

cat >> $RPM_BUILD_ROOT/etc/Muttrc <<EOF
# use aspell
set ispell="/usr/bin/aspell --mode=email check"

EOF

cd urlview-%{uversion}
%makeinstall
install -m 755 url_handler.sh $RPM_BUILD_ROOT%{_bindir}/url_handler.sh
mkdir -p doc/urlview
cp AUTHORS ChangeLog COPYING INSTALL README sample.urlview urlview.sgml \
  doc/urlview
cd ..

# remove unpackaged files from the buildroot
rm -rf $RPM_BUILD_ROOT%{_sysconfdir}/X11
rm -f $RPM_BUILD_ROOT%{_sysconfdir}/mime.types
rm -f $RPM_BUILD_ROOT%{_bindir}/muttbug
rm -f $RPM_BUILD_ROOT%{_mandir}/man1/{muttbug.1,mutt_dotlock.1}*
rm -f $RPM_BUILD_ROOT%{_mandir}/man5/mbox.5*

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%config /etc/Muttrc
%doc doc/*.txt
%doc contrib/*.rc README* contrib/sample.* NEWS
%doc COPYRIGHT doc/manual.txt contrib/language* mime.types mutt_ldap_query
%doc urlview-%{uversion}/doc/urlview
%{_bindir}/mutt
%{_bindir}/flea
%{_bindir}/pgpring
%{_bindir}/pgpewrap
%{_bindir}/urlview
%{_bindir}/url_handler.sh
%attr(2755, root, mail) %{_bindir}/mutt_dotlock
%{_mandir}/man1/urlview.*
%{_mandir}/man1/mutt.*
%{_mandir}/man1/flea.*
%{_mandir}/man5/muttrc.*

%changelog
* Wed Jul 26 2006 Chip Cuccio <chipster@norlug.org> 1.4.2.2i-1
- updated to address;
  <http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2006-3242>

* Mon Feb 16 2004 Chip Cuccio <chipster@norlug.org> 1.4.2.1i-1
- update to 1.4.2.1i

* Thu Feb 12 2004 Chip Cuccio <chipster@norlug.org> 1.4.2i-2
- update to 1.4.2i

* Mon Sep 8 2003 Chip Cuccio <chipster@norlug.org> 1.4.1-4
- spec cleanups
- default to glibc-2.2

* Sat Jul 5 2003 Chip Cuccio <chipster@norlug.org> 1.4.1-2
- rebuilt for rh7.3/glibc-2.2
